#! /usr/bin/perl

use strict;
use warnings;

if (@ARGV < 1) {
  print ("usage: pcb_move.pl <new minium drill diameter>\n");
  exit (1);
}

my $mindia = int($ARGV[0]);

my $line;
while ($line = <STDIN>) {
  chomp ($line);
  chomp ($line);

  if ($line =~ /^([ \t]*(?:Via|Pin)[ \t]*\[)((?:-?[0-9]+[ \t]+){5})([0-9]+)(.*)$/) {
    my $dia = int ($3);
    if ($dia < $mindia) {
      $dia = $mindia;
    }
    $line = $1 . $2 . $dia . $4;
  }

  print ($line . "\n");
}

